<!doctype html>
<html class="no-js" lang="">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title>康德公版</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="stylesheet" href="styles/main.css">

    <script src="scripts/vendor/jquery-1.11.2.min.js"></script>
    <script src="scripts/vendor/jquery.easing.1.3.js"></script>
	<script src="scripts/vendor/slick.min.js"></script>
	<script src="scripts/vendor/jquery.magnific-popup.min.js"></script>
    <script src="scripts/vendor/freewall.js"></script>
    <script src="https://unpkg.com/imagesloaded@4/imagesloaded.pkgd.min.js"></script>
    <script src="https://unpkg.com/masonry-layout@4/dist/masonry.pkgd.min.js"></script>
    <script src="scripts/vendor/jquery.zoom.min.js"></script>
	<script src="scripts/main.js"></script>
</head>

<body>
    <div class="offcanvas is-hidden-desktop" id="offcanvas">
        <div class="offcanvasInner">
            <span class="offcanvas_close">&times</span>
            <div class="offcanvas_search">
                <input type="text" name="" placeholder="SEARCH">
                <button><i class="fa fa-search" aria-hidden="true"></i></button>
            </div>
            <ul class="offcanvas_nav">
                <li>
                    <a href="#">
                        <span>HOW TO WEAR</span><span>穿搭指南</span>
                    </a>
                </li>
                <li>
                    <a href="#">
                        <span>LOOKBOOK</span><span>形象特輯</span>
                    </a>
                </li>
                <li>
                    <a href="#">
                        <span>NEW IN</span><span>新進單品</span>
                    </a>
                </li>
                <li>
                    <a href="#">
                        <span>FAVORITE</span><span>熱賣商品</span>
                    </a>
                </li>
                <li>
                    <a href="#" class="js-toggle-trigger" data-target="navItemsAll">
                        <span>ITEM</span><span>所有商品</span>
                    </a>
                    <ul id="navItemsAll">
                        <li>
                            <a href="#" class="js-toggle-trigger" data-target="navItems_onepicese">ONE-PICESE 連身類</a>
                            <ul id="navItems_onepicese">
                                <li>
                                    <a href="#">連身類1</a>
                                </li>
                                <li>
                                    <a href="#">連身類2</a>
                                </li>
                                <li>
                                    <a href="#">連身類3</a>
                                </li>
                            </ul>
                        </li>
                        <li>
                            <a href="#" class="js-toggle-trigger" data-target="navItems_tops">TOPS 上身類</a>
                            <ul id="navItems_tops">
                                <li>
                                    <a href="#">上身類1</a>
                                </li>
                                <li>
                                    <a href="#">上身類2</a>
                                </li>
                                <li>
                                    <a href="#">上身類3</a>
                                </li>
                            </ul>
                        </li>
                        <li>
                            <a href="#">BOTTOMS 下身類</a>
                        </li>
                        <li>
                            <a href="#">ACCESSRIES 配件</a>
                        </li>
                    </ul>
                </li>
                <li>
                    <a href="#">
                        <span>COMMUNITY</span><span>生活分享</span>
                    </a>
                </li>
                <li>
                    <span>LOGIN/SIGN UP</span><span>會員專區</span>
                </li>
            </ul>
            <div class="offcanvas_btnav columns is-mobile">
                <div class="column">
                    <span class="js-toggle-trigger" data-target="offcanvasAbout">ABOUT US</span>
                    <ul id="offcanvasAbout">
                        <li><a href="#">品牌介紹</a></li>
                        <li><a href="#">優質廠商合作</a></li>
                        <li><a href="#">公司資訊</a></li>
                        <li><a href="#">隱私權保護</a></li>
                        <li><a href="#">服務條款</a></li>
                    </ul>
                </div>
                <div class="column">
                    <span class="js-toggle-trigger" data-target="offcanvasService">SERVICE</span>
                    <ul id="offcanvasService">
                        <li><a href="#">如何購買</a></li>
                        <li><a href="#">付款方式</a></li>
                        <li><a href="#">VIP會員制度</a></li>
                        <li><a href="#">會員升級辦法說明</a></li>
                        <li><a href="#">關於發票</a></li>
                        <li><a href="#">物流配送</a></li>
                        <li><a href="#">售後服務</a></li>
                        <li><a href="#">退貨流程</a></li>
                        <li><a href="#">如何購買</a></li>
                    </ul>
                </div>
            </div>
        </div>
        <!-- end offcanvasInner -->
    </div>
    <!-- end offcanvas -->

    <div class="mainContent">
        <header>
            <div class="header_inner dtwrap is-clearfix">
                <a href="#" class="header_icon header_menu js-toggle-trigger is-pulled-left is-hidden-desktop" data-target="offcanvas"><i class="fa fa-bars" aria-hidden="true"></i></a>
                <a href="#" class="logo">
                    <h1>
                        <img src="images/LOGO.png" alt="" class="logo_black">
                        <img src="images/LOGO_white.png" alt="" class="logo_white">
                    </h1>
                </a>
                <div class="header_right">
                    <div class="header_icon header_cart is-pulled-right js-floatbag" data-target="headerBag">
                        <!-- <img src="images/icons/bag.svg" /> -->
                        <span>10</span>
                        <div class="header_cart_inner" id="headerBag">
                            <div class="header_cart_item">
                                <img src="images/assets/cartPd1.jpg" alt="">
                                <div>
                                    <p>紐約率性女孩抽鬚牛仔外套</p>
                                    <p>
                                        牛仔藍 | S | x1<br>
                                        TWD.590
                                    </p>
                                </div>
                            </div>

                            <div class="header_cart_item">
                                <img src="images/assets/cartPd1.jpg" alt="">
                                <div>
                                    <p>紐約率性女孩抽鬚牛仔外套</p>
                                    <p>
                                        牛仔藍 | S | x1<br>
                                        TWD.590
                                    </p>
                                </div>
                            </div>

                            <div class="header_cart_item">
                                <img src="images/assets/cartPd1.jpg" alt="">
                                <div>
                                    <p>紐約率性女孩抽鬚牛仔外套</p>
                                    <p>
                                        牛仔藍 | S | x1<br>
                                        TWD.590
                                    </p>
                                </div>
                            </div>

                            <div class="header_cart_item">
                                <img src="images/assets/cartPd1.jpg" alt="">
                                <div>
                                    <p>紐約率性女孩抽鬚牛仔外套</p>
                                    <p>
                                        牛仔藍 | S | x1<br>
                                        TWD.590
                                    </p>
                                </div>
                            </div>

                            <div class="header_cart_total">
                                <span>TWD. 590</span>
                            </div>
                            <div class="header_cart_btn">
                                <a href="#" class="btn">CHECK OUT</a>
                            </div>
                        </div>
                    </div>
                    <a href="#" class="header_icon header_sign is-pulled-right is-hidden-touch">
                        <!-- <i class="fa fa-sign-in" aria-hidden="true"></i> -->

                    </a>
                    <div class="header_search is-hidden-touch is-pulled-right" data-target="searchWrap">
                        <form>
                            <input type="text" name="">
                            <button type="button">
                                <i class="fa fa-search" aria-hidden="true"></i>
                            </button>
                        </form>
                    </div>
                </div>
            </div>

            <nav class="mainMenu is-hidden-touch">
                <ul class="dtwrap">
                    <li>
                        <a href="#"><span>HOW TO WEAR</span><span class="mainMenu_ch">如何穿</span></a>
                        <div class="submenu submenu_htw">
                            <ul>
                                <li><a href="#"><img src="images/assets/howToWear1_small.jpg" /></a></li>
                                <li><a href="#"><img src="images/assets/howToWear2_small.jpg" /></a></li>
                                <li><a href="#"><img src="images/assets/howToWear1_small.jpg" /></a></li>
                                <li><a href="#"><img src="images/assets/howToWear2_small.jpg" /></a></li>
                            </ul>
                            <a href="#" class="submenu_more">more +</a>
                        </div>
                    </li>
                    <li>
                        <a href="#"><span>LOOK BOOK</span><span class="mainMenu_ch">型錄</span></a>
                    </li>
                    <li>
                        <a href="#"><span>NEW IN</span><span class="mainMenu_ch">新品</span></a>
                    </li>
                    <li>
                        <a href="#"><span>FAVORITE</span><span class="mainMenu_ch">最愛</span></a>
                    </li>
                    <li>
                        <a href="#"><span>ITEM</span><span class="mainMenu_ch">單品</span></a>
                        <div class="submenu">
                            <ul>
                                <li>
                                    <a href="#"><span>TOPS</span><span class="mainMenu_ch">上衣</span></a>
                                    <div class="submenu">
                                        <ul>
                                            <li><a href="#"><span>TOPS1</span><span class="mainMenu_ch">上衣1</span></a></li>
                                            <li><a href="#"><span>TOPS2</span><span class="mainMenu_ch">上衣2</span></a></li>
                                            <li><a href="#"><span>TOPS3</span><span class="mainMenu_ch">上衣3</span></a></li>
                                            <li><a href="#"><span>TOPS4</span><span class="mainMenu_ch">上衣4</span></a></li>
                                        </ul>
                                    </div>
                                </li>
                                <li>
                                    <a href="#">BOTTMOS</a>
                                    <div class="submenu">
                                        <ul>
                                            <li><a href="#">BOTTOMS1</a></li>
                                            <li><a href="#">BOTTOMS2</a></li>
                                            <li><a href="#">BOTTOMS3</a></li>
                                            <li><a href="#">BOTTOMS4</a></li>
                                        </ul>
                                    </div>
                                </li>
                                <li><a href="#">DRESS</a></li>
                                <li><a href="#">DRESS</a></li>
                                <li><a href="#">DRESS</a></li>
                            </ul>
                        </div>
                
                    </li>
                    <li>
                        <a href="#"><span>COMMUNITY</span><span class="mainMenu_ch">社群</span></a>
                    </li>
                </ul>
            </nav>
        </header>


        <div class="dtwrap is-clearfix">

            <div class="is-clearfix">
                <div class="pdcnt_img">

                </div>
                <!--end pdcnt_img -->

                <div class="pdcnt_right">
                    <div class="pdcnt_info">
                        <h2>紐約率性女孩抽鬚牛仔外套</h2>
                        <p class="pdcnt_info_price">
                            <span class="pdcnt_info_price-origin">TWD.500</span>
                            <span class="pdcnt_info_price-sale">TWD.300</span>
                        </p>
                        <div class="pdcnt_info_event">
                            <p>優惠組合：親子系列，任選兩件<span>990</span>元</p>
                        </div>

                        <div class="pdcnt_info_color">
                            <div>
                                <p>- COLOR -<span class="pdcnt_info_color_name">磚紅</span></p>
                            </div>
                            <ul>
                                <li class="active">
                                    <a href="#" data-color="01">
                                        <img src="images/assets/color1.jpg" alt="">
                                    </a>
                                </li>
                                <li>
                                    <a href="#" data-color="02">
                                        <img src="images/assets/color2.jpg" alt="">
                                    </a>
                                </li>
                                <li>
                                    <a href="#" data-color="03">
                                        <img src="images/assets/color3.jpg" alt="">
                                    </a>
                                </li>
                            </ul>
                        </div>

                        <div class="is-clearfix">
                            <div class="pdcnt_info_size">
                                <div>
                                    <span>尺寸</span>
                                </div>
                                <div class="selectwrap" data-color="01">
                                    <select name="">
                                            <option value="1s" data-qty="0">S</option>
                                            <option value="1m" data-qty="8">M</option>
                                            <option value="1l" data-qty="3">L</option>
                                        </select>
                                </div>
                                <div class="selectwrap" data-color="02">
                                    <select name="">
                                            <option value="2s" data-qty="4">S2</option>
                                            <option value="2m" data-qty="9">M2</option>
                                            <option value="2l" data-qty="3">L2</option>
                                        </select>
                                </div>
                                <div class="selectwrap" data-color="03">
                                    <select name="">
                                            <option value="3s" data-qty="4">S3</option>
                                            <option value="3m" data-qty="9">M3</option>
                                            <option value="3l" data-qty="3">L3</option>
                                        </select>
                                </div>
                            </div>

                            <div class="pdcnt_info_number">
                                <div>
                                    <span>數量</span>
                                </div>
                                <div class="selectwrap">
                                    <select name="">
                                            <option value="1">1</option>
                                            <option value="2">2</option>
                                            <option value="3">3</option>
                                        </select>
                                </div>
                            </div>
                        </div>

                        <div class="pdcnt_info_btn">
                            <a href="#" class="btn btn_buy">
                                    BUT IT NOW
                                </a>
                            <a href="#" class="btn btn_pdarrived">
                                <i class="fa fa-bell-o" aria-hidden="true"></i> 貨到通知
                            </a>
                            <a href="#" class="btn_second btn_bag">
                                    ADD TO BAG
                                </a>
                        </div>

                        <input type="hidden" name="pdcolor">
                        <input type="hidden" name="pdsize">
                        <input type="hidden" name="pdnumber">

                    </div>
                    <!-- end pdcnt_info -->

                    <div class="pdcnt_details tab">
                        <div class="tab_head">
                            <a href="#">SIZE INFO+</a>
                            <a href="#">READ MORE+</a>
                        </div>
                        <div class="tab_cnt">
                            <div>
                                <p>正常尺寸</p>
                                <p>正常尺寸</p>
                            </div>
                            <div>
                                <p>
                                    棉：80%<br> 聚酯纖維:20%
                                    <br> 素材:韓國
                                    <br> 加工:韓國
                                </p>
                            </div>
                        </div>
                    </div>
                    <!-- pdcnt_details -->
                </div>
            </div>

            <!-- 上稿區  -->
            <div class="pdcnt_useredit">
                <img src="images/assets/shop.jpg" alt="fake pic" style="width:100%">
            </div>

            <!-- SHOP THIS LOOK -->
            <div class="pdSlideWrap">
                <h6><span>COMPLETE YOUR LOOK</span></h6>
                <div class="pdSlide">
                    <a class="pdSlide_pd" href="#">
                        <img src="images/assets/pdlist1.jpg" alt="">
                        <div>
                            <p>Miss Selfrdige<br>Lace Up<br>Bloc Heel<br>Ankle Boot</p>
                            <p class="pdSlide_pd_price">NTD. 2080</p>
                            <div class="pdSlide_pd_color">
                                <img src="images/assets/color1.png">
                                <img src="images/assets/color1.jpg">
                            </div>
                        </div>
                    </a>
                    <a class="pdSlide_pd" href="#">
                        <img src="images/assets/pd_sweater.jpg" alt="">
                        <div>
                            <p>Miss Selfrdige<br>Lace Up<br>Bloc Heel<br>Ankle Boot</p>
                            <p class="pdSlide_pd_price">NTD. 2080</p>
                            <div class="pdSlide_pd_color">
                                <img src="images/assets/color1.png">
                                <img src="images/assets/color1.jpg">
                            </div>
                        </div>
                    </a>
                    <a class="pdSlide_pd" href="#">
                        <img src="images/assets/pd_dress.jpg" alt="">
                        <div>
                            <p>Miss Selfrdige<br>Lace Up<br>Bloc Heel<br>Ankle Boot</p>
                            <p class="pdSlide_pd_price">NTD. 2080</p>
                            <div class="pdSlide_pd_color">
                                <img src="images/assets/color1.png">
                                <img src="images/assets/color1.jpg">
                            </div>
                        </div>
                    </a>
                    <a class="pdSlide_pd" href="#">
                        <img src="images/assets/pdlist1.jpg" alt="">
                        <div>
                            <p>Miss Selfrdige<br>Lace Up<br>Bloc Heel<br>Ankle Boot</p>
                            <p class="pdSlide_pd_price">NTD. 2080</p>
                            <div class="pdSlide_pd_color">
                                <img src="images/assets/color1.png">
                                <img src="images/assets/color1.jpg">
                            </div>
                        </div>
                    </a>
                    <a class="pdSlide_pd" href="#">
                        <img src="images/assets/pd_sweater.jpg" alt="">
                        <div>
                            <p>Miss Selfrdige<br>Lace Up<br>Bloc Heel<br>Ankle Boot</p>
                            <p class="pdSlide_pd_price">NTD. 2080</p>
                            <div class="pdSlide_pd_color">
                                <img src="images/assets/color1.png">
                                <img src="images/assets/color1.jpg">
                            </div>
                        </div>
                    </a>
                    <a class="pdSlide_pd" href="#">
                        <img src="images/assets/pd_dress.jpg" alt="">
                        <div>
                            <p>Miss Selfrdige<br>Lace Up<br>Bloc Heel<br>Ankle Boot</p>
                            <p class="pdSlide_pd_price">NTD. 2080</p>
                            <div class="pdSlide_pd_color">
                                <img src="images/assets/color1.png">
                                <img src="images/assets/color1.jpg">
                            </div>
                        </div>
                    </a>
                </div>
            </div>

        </div>
        <!-- end dtwrap -->

        <div class="mfp-hide mfp-black" id="addSuccess">
            <p>add to bag</p>
            <p>加入成功</p>

            <a href="#" class="closeBtn">- CLOSE -</a>
        </div>

        <div class="pageCover"></div>
        <!-- 手機部分 -->
        <div class="wrap footer_wrap">
            <ul class="staticMenu">
                <li>
                    <a href="">NEWS 最新消息</a>
                </li>
                <li class="">
                    <a href="javascript:void(0)" class="subMenuTitle js-menu">SERVICE 售後服務</a>
                    <ul class="subMenu">
                        <li>
                            <a href="">如何購買</a>
                        </li>
                        <li>
                            <a href="">付款方式</a>
                        </li>
                        <li>
                            <a href="">VIP會員制度</a>
                        </li>
                        <li>
                            <a href="">關於發票</a>
                        </li>
                        <li>
                            <a href="">關於發票</a>
                        </li>
                        <li>
                            <a href="">物流配送</a>
                        </li>
                        <li>
                            <a href="">運費計算</a>
                        </li>
                        <li>
                            <a href="">售後服務</a>
                        </li>
                        <li>
                            <a href="">退貨流程</a>
                        </li>
                        <li>
                            <a href="">如何使用購物金</a>
                        </li>
                        <li>
                            <a href="">如何辦理退款</a>
                        </li>
                        <li>
                            <a href="">FAQS</a>
                        </li>
                    </ul>
                </li>
                <li class="">
                    <a href="javascript:void(0)" class="subMenuTitle js-menu">COMPANY 公司資訊</a>
                    <ul class="subMenu">
                        <li>
                            <a href="static.html">品牌介紹</a>
                        </li>
                        <li>
                            <a href="">公司資訊</a>
                        </li>
                        <li>
                            <a href="">企業合作</a>
                        </li>
                        <li>
                            <a href="">人才招募</a>
                        </li>
                        <li>
                            <a href="">服務條款</a>
                        </li>
                        <li>
                            <a href="">隱私權保護</a>
                        </li>
                    </ul>
                </li>
            </ul>
        </div>

        <footer>
            <div class="dtwrap-small is-tablet footerLetter has-text-centered">
                <div>
                    <input type="email" name="" placeholder="輸入EMAIL獲得最新活動&優惠資訊">
                    <input type="submit" value=""></input>
                </div>
                <p>Subscribe to our newsletter</p>
            </div>

            <div class="dtwrap-small footerSocial">
                <a href="#" class="footerFb">
                    <i class="fa fa-facebook" aria-hidden="true"></i>
                </a>
                <a href="#" class="footerIg">
                    <i class="fa fa-instagram" aria-hidden="true"></i>
                </a>
                <a href="#" class="footerLine">
                    <img src="images/icons/line.png">
                </a>
            </div>

            <div class="backToTop">
                <div>
                    <a href="#">TOP</a>
                </div>
            </div>

            <div class="footerBottom is-clearfix columns">
                <div class="footerBottom_left">
                    <p class="footerBottom_link"><a href="#">ABOUT US</a></p>
                    <div>
                        <p class="footerBottom_email"><span>E-MAIL :</span>service0800@lurehsu.com </p>
                        <p class="footerBottom_tel"><span>| TEL :</span> 0800-88-22-88 (9:00-12:00 / 13:00-18:00 週一～週五 )</p>
                    </div>
                </div>
                <div class="footerBottom_right">
                    <p class="footerBottom_link"><a href="#">SERVICE</a></p>
                    <p class="footerBottom_copyright">Copyright @ 2018 LURE HSU All RIGHTS RESERVED.</p>
                </div>

            </div>
        </footer>

        <!-- 浮動選單(手機版) -->
        <div class="mobile_menu footer_fixed is-clearfix">
            <div class="footer_menu">
                <a href="javascript:;" title="">
                    <img src="images/mob_footer1.svg" alt="">
                </a>
                <div class="footer_submenu">
                    <a href="login.html">會員中心</a>
                    <a href="">願望清單</a>
                    <a href="">訂單查詢</a>
                    <a href="">修改個人資料</a>
                    <a href="#">登出</a>
                </div>
            </div>
            <div class="footer_menu">
                <a href="javascript:;" title="">
                    <img src="images/mob_footer2.svg" alt="">
                </a>
                <div class="footer_submenu">
                    <a href="">FACEBOOK</a>
                    <a href="">Istagram</a>
                    <a href="">LINE</a>
                </div>
            </div>
            <div class="footer_menu">
                <a href="javascript:;" title="">
                    <img src="images/mob_footer3.svg" alt="">
                </a>
            </div>
            <div class="footer_menu toStaticMenu">
                <a href="javascript:;" title="">
                    <img src="images/mob_footer4.svg" alt="">
                </a>
            </div>
        </div>
        <!-- end .mobile -->
    </div>
    <!-- end mainContent -->

    <script>
        var imgs = [{
            "color": "01",
            "img": "images/assets/pdcntPd1.jpg",
            "imgIdx": "1",
            "size": "small"
        }, {
            "color": "01",
            "img": "images/assets/pdcntPd1_large.jpg",
            "imgIdx": "1",
            "size": "big"
        }, {
            "color": "01",
            "img": "images/assets/pdcntPd2.jpg",
            "imgIdx": "2",
            "size": "small"
        }, {
            "color": "01",
            "img": "images/assets/pdcntPd2_large.jpg",
            "imgIdx": "2",
            "size": "big"
        }, {
            "color": "01",
            "img": "images/assets/pdcntPd1.jpg",
            "imgIdx": "3",
            "size": "small"
        }, {
            "color": "01",
            "img": "images/assets/pdcntPd1_large.jpg",
            "imgIdx": "3",
            "size": "big"
        }, {
            "color": "01",
            "img": "images/assets/pdcntPd1.jpg",
            "imgIdx": "4",
            "size": "small"
        }, {
            "color": "01",
            "img": "images/assets/pdcntPd1_large.jpg",
            "imgIdx": "4",
            "size": "big"
        }, {
            "color": "01",
            "img": "images/assets/pdcntPd1.jpg",
            "imgIdx": "5",
            "size": "small"
        }, {
            "color": "01",
            "img": "images/assets/pdcntPd1_large.jpg",
            "imgIdx": "5",
            "size": "big"
        }, {
            "color": "02",
            "img": "images/assets/pdcntPd1.jpg",
            "imgIdx": "1",
            "size": "small"
        }, {
            "color": "02",
            "img": "images/assets/pdcntPd1.jpg",
            "imgIdx": "2",
            "size": "small"
        }, {
            "color": "02",
            "img": "images/assets/pdcntPd1_large.jpg",
            "imgIdx": "2",
            "size": "big"
        }, {
            "color": "02",
            "img": "images/assets/pdcntPd1.jpg",
            "imgIdx": "3",
            "size": "small"
        }, {
            "color": "02",
            "img": "images/assets/pdcntPd1.jpg",
            "imgIdx": "4",
            "size": "small"
        }, {
            "color": "02",
            "img": "images/assets/pdcntPd1.jpg",
            "imgIdx": "5",
            "size": "small"
        }, {
            "color": "03",
            "img": "images/assets/pdcnt3.jpg",
            "imgIdx": "1",
            "size": "small"
        }, {
            "color": "03",
            "img": "images/assets/pdcntPd1.jpg",
            "imgIdx": "2",
            "size": "small"
        }, {
            "color": "03",
            "img": "images/assets/pdcntPd1.jpg",
            "imgIdx": "3",
            "size": "small"
        }, {
            "color": "03",
            "img": "images/assets/pdcntPd1.jpg",
            "imgIdx": "4",
            "size": "small"
        }, {
            "color": "03",
            "img": "images/assets/pdcntPd1.jpg",
            "imgIdx": "5",
            "size": "small"
        }];
        var currentColor = '';
    </script>
    <script src="scripts/pdcnt.js"></script>
    <script>
        $(function() {

            var options = {
                "mainPicWrap": ".pdcnt_img_group",
                "colorChanger": ".pdcnt_info_color a",
                "sizeSelector": ".pdcnt_info_size .selectwrap",
                "numberChanger": ".pdcnt_info_number select",
                "thumbClass": ".pdcnt_img_group_thumb",
                "mainSlideClass": ".pdcnt_img_group_main",
                "initColor": currentColor
            }
            new pdContentUI(options).init();

            getCorrectImg(imgs);

            SimpleTab('.pdcnt_details');

            $('.pdSlide').slick({
                slidesToShow: 4,
                prevArrow: '<a href="#" class="pdSlide_arrows_left"><i class="fa fa-angle-left"></i></a>',
                nextArrow: '<a href="#" class="pdSlide_arrows_right"><i class="fa fa-angle-right"></i></a>',
                responsive: [{
                    breakpoint: 768,
                    settings: {
                        slidesToShow: 3,
                        arrows: false,
                    }
                }]
            });

            // 判斷圖存在與否
            function getCorrectImg(imgarray) {

                var correctImgs = [];
                var imgsLength = imgarray.length;
                var loadIdx = 0;

                var loadImg = function(imgobj) {
                    var img = new Image();
                    img.onload = function() {

                        correctImgs.push({
                            "color": imgobj.color,
                            "img": imgobj.img,
                            "size": imgobj.size,
                            "imgidx": imgobj.imgIdx
                        });

                        if (loadIdx === (imgsLength - 1)) {
                            // console.log('stop: ' + correctImgs);
                            rearrangeImgarray(correctImgs);
                            return;
                        }
                        if (loadIdx <= imgsLength) {
                            loadIdx++;
                            loadImg(imgarray[loadIdx]);
                        }
                    }
                    img.onerror = function() {
                        if (loadIdx === (imgsLength - 1)) {
                            rearrangeImgarray(correctImgs);
                            return;
                        }
                        if (loadIdx < (imgsLength - 1)) {
                            loadIdx++;
                            loadImg(imgarray[loadIdx]);
                        }
                    }


                    img.src = imgobj.img;
                }

                loadImg(imgarray[loadIdx]);
            }

            // 重新安排圖片物件格式
            function rearrangeImgarray(imgarray) {
                this.newImgarray = {};
                this.colorArray = [];
                imgarray.forEach(function(imgobj) {
                    if (colorArray.indexOf(imgobj.color) === -1) {
                        colorArray.push(imgobj.color);
                        newImgarray[imgobj.color] = {};
                        newImgarray[imgobj.color][imgobj.imgidx] = {};
                        newImgarray[imgobj.color][imgobj.imgidx][imgobj.size] = imgobj.img;
                    } else {
                        if (newImgarray[imgobj.color][imgobj.imgidx] === undefined) {
                            newImgarray[imgobj.color][imgobj.imgidx] = {};
                            newImgarray[imgobj.color][imgobj.imgidx][imgobj.size] = imgobj.img;
                        } else {
                            newImgarray[imgobj.color][imgobj.imgidx][imgobj.size] = imgobj.img;
                        }

                    }
                });

                buildHTML(newImgarray);
                // console.log('rearrange image array ', JSON.stringify(newImgarray));
            }

            function buildHTML(imgs) {

                var finalHTML = '';

                for (var colorkey in imgs) {
                    var imgGroupHTML = '<div class="pdcnt_img_group is-clearfix" data-color="' + colorkey + '">';
                    var mainImgHTML = '<div class="pdcnt_img_group_main">';
                    var thumbImgHTML = '<div class="pdcnt_img_group_thumb">';

                    for (colorimg in imgs[colorkey]) {
                        var bigImage = imgs[colorkey][colorimg].big ? imgs[colorkey][colorimg].big : imgs[colorkey][colorimg].small;

                        mainImgHTML = mainImgHTML + '<div><span class="pdcnt_photo"><img src="' + bigImage + '" alt=""></span><span class="zoomTrigger"></span></div>';
                        thumbImgHTML = thumbImgHTML + '<img src="' + imgs[colorkey][colorimg].small + '" alt="">';

                    };

                    mainImgHTML = mainImgHTML + '</div>';
                    thumbImgHTML = thumbImgHTML + '</div>';
                    imgGroupHTML = imgGroupHTML + thumbImgHTML + mainImgHTML + '</div>';

                    finalHTML = finalHTML + imgGroupHTML;
                    // console.log('final html: ' + finalHTML);
                }

                $('.pdcnt_img').append(finalHTML);

                try {
                    $('.pdcnt_info_color a').each(function() {
                        if (($(this).data('color')).toString() === colorCode) {
                            $(this).click();
                        }
                    });
                } catch (e) { //colorCode not defined
                    $('.pdcnt_info_color li').eq(0).find('a').click();
                }

                $('.zoomTrigger').on('click', function() {
                    if ($(this).parents('.slick-slide').hasClass('zoomed')) {
                        $('.pdcnt_photo').trigger('zoom.destroy');
                        $(this).parents('.slick-slide').removeClass('zoomed');
                    } else {
                        $('.pdcnt_photo').zoom();
                        $(this).parents('.slick-slide').addClass('zoomed');
                    }
                });

            }


            // to open 加入成功 popup
            function openAddSuccess() {
                $.magnificPopup.open({
                    items: {
                        src: '#addSuccess',
                    },
                    type: 'inline',
                }, 0);
            }

            $('.mfp-black .closeBtn').on('click', function() {
                $.magnificPopup.close();
            });
        })
    </script>
</body>

</html>